Subject: RF231 transceiver on at91sam9g20ek board

From: [email-masked] (Arnd Bergmann)
Date: Thu, 28 Jun 2012 14:30:21 +0000

On Thursday 28 June 2012, Alexander Smirnov wrote:
> >
> > It might not be the problem you are faced with but note that at91
> > is moving towards probing all devices using the device tree, so
> > starting with linux-3.4 you should be defining the device in the
> > at91sam9g20ek.dts file for your board and use the generic
> > board-dt.c file. The platform_data gets replaced with
> > calls to of_get_gpio() in that case.
> 
> Thank you for the reply!
> 
> Are you going to add SPI section to the device tree in the nearest
> future or I can do it by myself and send you the patch? The reason is
> that this week I merged at86rf230 driver to the 'net-next' tree, but
> it won't work without platform data.

Jean-Christophe or Nicolas might now what the status is for atmel-spi.
It seems like it would be trivial to just add the compatible string in
the atmel-spi driver, which would let us probe all of its child devices
using DT.

	Arnd